edition: 1.0.0
name: d8d-webcontainer-server
access: default
services:
  framework:
    component: fc
    props:
      region: cn-beijing
      service:
        name: d8dWebContainer
      function:
        name: d8d-webcontainer-server
        description: D8D WebContainer Server
        runtime: custom.debian10
        environmentVariables:
          PATH: >-
            /opt/nodejs18/bin:/usr/local/bin/apache-maven/bin:/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/ruby/bin:/opt/bin:/code:/code/bin
          NODE_PATH: /opt/nodejs/node_modules
          LD_LIBRARY_PATH: >-
            /code:/code/lib:/usr/local/lib:/opt/lib:/opt/php8.1/lib:/opt/php8.0/lib:/opt/php7.2/lib
          PORT: 9000
          WORKSPACE_ROOT: /tmp/workspaces
        layers:
          - acs:fc:cn-beijing:official:layers/Nodejs18/versions/1
        memorySize: 512
        cpu: 0.5
        timeout: 3600
        codeUri: ./
        diskSize: 512
        caPort: 9000
        instanceConcurrency: 10
        customRuntimeConfig:
          command:
            - node
          args:
            - start.js
      triggers:
        - name: httpTrigger
          type: http
          config:
            authType: anonymous
            methods:
              - GET
              - POST
              - PUT
              - DELETE
              - HEAD
              - OPTIONS
